Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer
Class ItemRenderer

    java.lang.Object
      net.minecraft.client.renderer.ItemRenderer

    public class ItemRenderer

extends Object

Field Summary
`MapItemRenderer` | `mapItemRenderer`

Constructor Summary
`ItemRenderer(Minecraft par1Minecraft)`

Method Summary
`void` | `func_78444_b()`
`void` | `func_78445_c()`
`void` | `renderItem(EntityLiving par1EntityLiving, ItemStack par2ItemStack, int par3)` Renders the item stack for being in an entity's hand Args: itemStack
`static void` | `renderItemIn2D(Tessellator par0Tessellator, float par1, float par2, float par3, float par4, float par5)` Renders an item held in hand as a 2D texture with thickness
`void` | `renderItemInFirstPerson(float par1)` Renders the active item in the player's hand when in first person mode.
`void` | `renderOverlays(float par1)` Renders all the overlays that are in first person mode.
`void` | `updateEquippedItem()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapItemRenderer

    public final MapItemRenderer mapItemRenderer

Constructor Detail

### ItemRenderer

    public ItemRenderer(Minecraft par1Minecraft)

Method Detail

### renderItem

    public void renderItem(EntityLiving par1EntityLiving,
                           ItemStack par2ItemStack,
                           int par3)

  Renders the item stack for being in an entity's hand Args: itemStack

### renderItemIn2D

    public static void renderItemIn2D(Tessellator par0Tessellator,
                                      float par1,
                                      float par2,
                                      float par3,
                                      float par4,
                                      float par5)

  Renders an item held in hand as a 2D texture with thickness

### renderItemInFirstPerson

    public void renderItemInFirstPerson(float par1)

  Renders the active item in the player's hand when in first person mode. Args: partialTickTime

### renderOverlays

    public void renderOverlays(float par1)

  Renders all the overlays that are in first person mode. Args: partialTickTime

### updateEquippedItem

    public void updateEquippedItem()

### func_78444_b

    public void func_78444_b()

### func_78445_c

    public void func_78445_c()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD